{
  "name": "functions",
  "description": "Cloud Functions for Firebase",
  "scripts": {
    "build-firebase": "npm run lint && npx tsc",
    "lint": "eslint .",
    "serve-firebase": "tsc && concurrently \"tsc --watch\" \"npm run emulate-firebase\"",
    "emulate-firebase": "cross-env FIREBASE_AUTH_EMULATOR_HOST=localhost:9099 firebase emulators:start --import ./.emulator-data --export-on-exit ./.emulator-data",
    "shell": "tsc && concurrently \"tsc --watch\" \"firebase functions:shell\"",
    "start": "npm run shell",
    "deploy": "firebase deploy --only functions",
    "logs": "firebase functions:log",
    "mocha-emulators": "firebase emulators:start --only database",
    "mocha": "npx mocha --reporter spec --exit",
    "test": "firebase emulators:exec --only database \"npm run mocha\""
  },
  "mocha": {
    "extensions": [
      "ts"
    ],
    "spec": "./__tests__/**.test.ts",
    "require": "ts-node/register",
    "files": "./__tests__/setup.ts"
  },
  "engines": {
    "node": "16"
  },
  "main": "lib/index.js",
  "dependencies": {
    "@zoomsense/zoomsense-firebase": "^1.9.5",
    "firebase-admin": "^9.8.0",
    "firebase-functions": "^3.22.0",
    "zoomsense-plugin-voting-common": "file:src-common"
  },
  "devDependencies": {
    "@types/chai": "^4.3.3",
    "@types/mocha": "^9.1.1",
    "@typescript-eslint/eslint-plugin": "^5.28.0",
    "@typescript-eslint/parser": "^5.28.0",
    "chai": "^4.3.6",
    "concurrently": "^7.2.2",
    "cross-env": "^7.0.3",
    "eslint": "^8.19.0",
    "eslint-config-google": "^0.14.0",
    "firebase-functions-test": "^2.2.0",
    "firebase-tools": "10.2.2",
    "mocha": "^10.0.0",
    "prettier": "^2.7.1",
    "ts-node": "^10.9.1",
    "typescript": "^4.8.2"
  },
  "private": true
}
